Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 7242

Summary: "hdc: ide timeout" errors sometimes occur after inserting CD
Product: [Retired] Red Hat Linux Reporter: pierre
Component: kernelAssignee: Michael K. Johnson <johnsonm>
Status: CLOSED WORKSFORME QA Contact:
Severity: high Docs Contact:
Priority: medium    
Version: 6.1CC: rmiddle
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2000-08-22 17:33:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description pierre 1999-11-23 02:23:34 UTC
Occasionally (once a month maybe) after inserting an audio CD in my cdrom
drive the CDplayer "hangs". The X display enters a cycle in which
everything is frozen (no keyboard response, no mouse motion) for about 20
sec., then things look normal for 20 sec., then back to the frozen state
and so on. This makes the system unusable. Using CTL-ALT-F1 brings me to
the console, and then every few seconds I see a message (sorry, I am
quoting from memory) like "hdc: ide timeout ... ". Usually I then reboot.
Even though things other than the CD appear normal, upon booting the system
claims that the shutdown was not clean and feels the need to fix the file
systems.

I had this problem before with RedHat 6.0; again, this only showed up maybe
once a month and I can't offer a more accurate error log at this point. I
am using an AMD K6-III 450MHz with a bcm VP1541 motherboard purchased June
'99 running BIOS version 1.05 and an ACER CD ROM model 640A with a
SoundBlaster 16 card. Normally all this works just great. I do lots of
compiling, image processing etc. and nothing else seems flaky on my system,
so I'm thinking maybe this is a bug with the ide cdrom driver.

Comment 1 Cristian Gafton 2000-01-04 22:25:59 UTC
Assigned to dledford

Comment 2 Alan Cox 2000-08-22 17:33:06 UTC
It actually sounds more like the cd-rom drive firmware crashing. That would
explain the
pattern better. Does 6.2 show this ?


Comment 3 Alan Cox 2000-09-15 18:11:27 UTC
No response. Im assuming the newer kernels fixed it or its the drive. If you
read this and have the same problem re-open it